Минимальная версия Google Play Services для Push Notification

Я использую Google Cloud Messaging для получения Push-уведомлений на телефонах Android. У меня все получилось, и все работает хорошо. Однако Google рекомендует проверить, обновлена ​​ли служба Google Play до последней версии (поскольку Push Notifications является новой функцией).

Используя Nexus 7 (4.4.4) и включив проверку версий в начале действия, мне необходимо обновить мои сервисы Google Play, так как есть более новая версия. Однако Push Notifications отлично работает без обновления. Я не хочу, чтобы мои пользователи обновляли Службы Google Play, если это не является абсолютно необходимым.

Мой вопрос: какова минимальная версия, которую я должен проверить на Службы Google Play, чтобы получать Push-уведомления от GCM?

Это код:

private boolean checkPlayServices() { int resultCode = GooglePlayServicesUtil.isGooglePlayServicesAvailable(this); if (resultCode != ConnectionResult.SUCCESS) { if (GooglePlayServicesUtil.isUserRecoverableError(resultCode)) { GooglePlayServicesUtil.getErrorDialog(resultCode, this, PLAY_SERVICES_RESOLUTION_REQUEST).show(); } else { Log.i(TAG, "This device is not supported."); finish(); } return false; } return true; } 

Примечание. Мне не нужно проверять последнюю версию Служб Google Play, но минимальная версия, поддерживающая Push Notifications

EDIT: Я сделал некоторые пояснения из-за комментариев

Solutions Collecting From Web of "Минимальная версия Google Play Services для Push Notification"

У меня есть приложение с включенным GCM. Как я видел в своей базе данных, пользователи с версией Google Play Sercvices более 3.0.27 .

Но будьте осторожны с использованием GcmNetworkManager , поскольку для этого требуется хотя бы сервис Google Play 7.5.0